checkRequire("Lua_ShopPanel");
checkRequire("Lua_ShopSecondSpecialItem");
checkRequire("Lua_ShopSecondItem");
Lua_ShopSpecialPanel = class("Lua_ShopSpecialPanel", Lua_ShopPanel);
function Lua_ShopSpecialPanel:ctor(p)
	self:superCall("ctor", p);
end

function Lua_ShopSpecialPanel:buildShowItem()
	self:superCall("buildShowItem");

	self.itemList:setContentRect(720, 530 + self.adaptHeight / 2);
	self.itemList.showTween = true;
	-- self.itemList:setLocation(0, -617, 0);
	self.itemList:setLocation(0, 103, 0);
end

function Lua_ShopSpecialPanel:onScreenResize(adaptHeight)
	if self.adaptHeight ~= adaptHeight then
		self:superCall("onScreenResize", adaptHeight);
		self.itemList:setContentRect(720, 530 + adaptHeight / 2);
	end
end

function Lua_ShopSpecialPanel:setData(data)
	if data.shopType == 2 then
		self.itemList:setListCell(Lua_ShopSecondSpecialItem, 720, 262, 1);
		self.itemList:setCellSpacing(-5, 16);
	else
		self.itemList:setListCell(Lua_ShopSecondItem, 720, 217, 1);
		self.itemList:setCellSpacing(-5, 16);
	end
	self:superCall("setData", data);
end

function Lua_ShopSpecialPanel:setShowList()
	local list = DataCenter.shopData:getCurShopItemList(self.data.shopType);
	local column = self.data.shopType == 2 and 3 or 4; -- 碎片商店特殊显示
	local index = 1;
	local num = 0;
	local showList = {};
	for i = 1, #list do
		if showList[index] == nil then
			showList[index] = Array();
		end
		showList[index]:add(list[i]);

		num = num + 1;
		if num >= column then
			index = index + 1;
			num = 0;
		end
	end
	self.itemList:setArrayData(showList);
end