checkRequire("Lua_ShopSecondItem");
checkRequire("Lua_ShopSpecialItem");
Lua_ShopSecondSpecialItem = class("Lua_ShopSecondSpecialItem", Lua_ShopSecondItem);
function Lua_ShopSecondSpecialItem:ctor(p)
	self:superCall("ctor", p);
end

function Lua_ShopSecondSpecialItem:buildShowItem()
	self:superCall("buildShowItem");
	self.bottomBg:setLocation(0, -106, 0);
end

function Lua_ShopSecondSpecialItem:setData(data)
	if data == nil then
		return;
	end

	self.showNum = data:getSize();
	local count = self.shopItemArr:getSize();
	local len = self.showNum > count and self.showNum or count;
	local item;
	for i = 1, len do
		if i > count then
			item = Lua_ShopSpecialItem.new(self.content);
			self.shopItemArr:add(item);
		else
			item = self.shopItemArr[i];
		end

		if i <= self.showNum then
			item:setData(data[i]);
			item:setLocation(-226 + (i - 1) * 226, 2, 0);
			item:setEnable(true);
		else
			item:setEnable(false);
		end
	end
end

function Lua_ShopSecondSpecialItem:dispose()
	self:superCall("dispose");
end